/*
  a widget to add new players/channels 
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */



#include "kmpgMixerWidget.h"




KmpgMixerWidget::KmpgMixerWidget( QWidget *parent = 0,const char *name = 0 ) :
  KTMainWindow( name ) {

  AudioDeviceLinux* audioDeviceL=new AudioDeviceLinux("/dev/dsp",true);
   
  audioDevice=audioDeviceL;
  audioDevice->openDevice();

  mixer=new MixerDevice();

  mixer->addListener(audioDevice);

  buildGui();
}


KmpgMixerWidget::~KmpgMixerWidget() {
  delete mixer;
  delete audioDevice;
}


void KmpgMixerWidget::addChannel() {
  KmpgRootWindow* rootWindow;
  KmpgPlayer* player;


  rootWindow=KmpgStandAlone::create(_MP3_DECODER);
  player=rootWindow->getPlayer();

  player->addListener(mixer);
  rootWindow->show();
  
}


void KmpgMixerWidget::buildGui() {
  addChannelButton=new QPushButton("add new Channel",this);
  addChannelButton->connect(addChannelButton,SIGNAL(clicked()),
			    this,SLOT(addChannel()) );

  setView(addChannelButton);
}

